X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Several people have the same problem. You never fix it.

Posted

I have repeatedly tried to update a plug-in. I always get a "Plugin Finding Service Error" message. Can you fix this?

Additional System Details

Installed Plug-ins

  • npsitesafety
  • Shockwave Flash 11.2 r202
  • Picasa plugin
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • DRM Netscape Network Object
  • Npdsplay dll
  • DRM Store Netscape Plugin
  • Adobe Acrobat Plug-In Version 7.00 for Netscape

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.1; rv:18.0) Gecko/20100101 Firefox/18.0

More Information

Andrew
  • Top 25 Contributor
  • Moderator
251 solutions 3018 answers

What is the plugin you are trying to download or install? Are you not able to install it manually?

Question owner

Updated Adobe Reader plug in.

philipp
  • Top 10 Contributor
  • Moderator
2043 solutions 8894 answers

hey, you can download the latest version from https://get.adobe.com/reader/ & while you're at it you might also want to update the flash plugin at https://get.adobe.com/flashplayer/

Question owner

TY! I ended up going to adobe just for an update. I think it is better to go to the source than rely on Mozzila. Problem now solved.